/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sec15tab.c,v 1.4 2000/01/04 06:41:52 tmurakam Exp $
 */

/*
 * section15 analyze table
 */

#include "type.h"
#include "sec15ana.h"

SecRecordTab	sec15tab[] = {
	/*0x00   ExitSDL */
	{ 0x01, "PitchTo",	anaDynRotate,	-1 },
	{ 0x02, "BankTo",	anaDynRotate,	-1 },
	{ 0x03,	"YawTo",	anaDynRotate,	-1 },
	{ 0x04, "Gear",		anaDynArgBd,	-1 },
	{ 0x07,	"Heading",	anaDynHeading,	-1 },
	{ 0x12, "MoveX",	anaDynMove1,	-1 },
	{ 0x13,	"MoveZ",	anaDynMove1,	-1 },
	{ 0x14, "MoveY",	anaDynMove1,	-1 },
	{ 0x15, "MoveXY",	anaDynMove2,	-1 },
	{ 0x16, "MoveXZ",	anaDynMove2,	-1 },
	{ 0x17, "MoveZY",	anaDynMove2,	-1 },
	{ 0x18, "Move3D",	anaDynMove3,	-1 },
	{ 0x19, "AccelerateX",	anaDynAccel1, -1 },
	{ 0x1A, "AccelerateZ",  anaDynAccel1, -1 },
	{ 0x1B, "AccelerateY",  anaDynAccel1, -1 },
	{ 0x1C, "AccelerateXY", anaDynAccel2, -1 },
	{ 0x1D, "AccelerateXZ", anaDynAccel2, -1 },
	{ 0x1E, "AccelerateZY", anaDynAccel2, -1 },
	{ 0x1F, "Accelerate3D", anaDynAccel3, -1 },
	{ 0x20, "Turn",		anaDynTurn,	-1 },
	{ 0x24, "Jump",		anaDynJumpCall,	-1 },
	{ 0x25, "Call",		anaDynJumpCall,	-1 },
	{ 0x26, "Return",	anaDynNoArg,	-1 },
	{ 0x27, "Hold",		anaDynArgWd,	-1 },
	{ 0x28, "SetPos",	anaDynDump,	13 },	/* ### */
	{ 0x29, "Sleep",	anaDynNoArg,	-1 },
	{ 0x2A,	"Awaken",	anaDynJumpCall,	-1 },
	{ 0x2E, "Jump2E",	anaDynDump,		7 },
	{ 0x31,	"SetColor",	anaDynSetColor,	-1 },
	{ 0x32, "Pattern",	anaDynPattern,	-1 },
	{ 0x33, "SetPos",	anaDynSetPos,	-1 },
	{ 0x34,	"LatRef",	anaDynLatRef,		-1 },

	/* FS98 */
	{ 0x38, "StartTimer",	anaDynNoArg,	-1 },
	{ 0x39, "MoveToPos1",	anaDynMoveToPosX, -1 },
	{ 0x3a, "MoveToPos5",	anaDynMoveToPosX, -1 },
	{ 0x41, "TaxiTo",	anaDynTaxiTo, -1 },
	{ 0x43, "MonitorRwy",	anaMonitorRwy, -1 },

	{ 0xFF,	"Exit",		anaDynNoArg,	-1 },

	{0,	"DUMMY",		0 }
};
