/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sec16tab.c,v 1.3 2000/01/04 06:42:01 tmurakam Exp $
 */
/*
 * section16 analyze table
 */

#include "type.h"
#include "sec9ana.h"
#include "sec16ana.h"

SecRecordTab	sec16tab[] = {
	{ 0x22, "Return", 	anaReturn16,	-1 },
	{ 0x24, "IfVarRange",	anaIfVarRange16, -1 },
	{ 0x2F, "RefPoint",	anaRefPoint16,	-1 },
	{ 0x33, "RotatedCall",	anaRotatedCall16,-1 },
	{ 0x39, "IfVarAnd",	anaIfVarAnd16,	-1 },
	{ 0x54, "CallAsm",	anaCallAsm,	6 },
	{ 0x77, "RefPoint",	anaRefPoint16, -1 },
	{ 0x70,	"SenseBorder",	anaSenseBorder16, -1 },	/* Something wrong. Check offset analyzation! */
	{ 0x71, "SetElevation",	anaSetElevation,4 },	/* ### */
	{0,	"DUMMY",		0 }
};
