/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sec19ana.c,v 1.5 2000/01/04 06:42:03 tmurakam Exp $
 */
/*
 * Section 19 (Exception) analyze (experimental)
 */

#include <stdio.h>
#include <stdlib.h>

#include "type.h"
#include "util.h"
#include "conv.h"
#include "sec19ana.h"

static void AnalyzeExclusion(void);
static void AnalyzeInclusion(void);

extern void
AnalyzeSec19(u_int32 sec_pointer)
{
	char fname[100];
	u_int8 c;

	/* open output file */
	sprintf(fname, "%s19", SECFILENAME_PRE);
	OpenOutFile(fname, TRUE);

	WriteHeader(19);

 	SET_PASS2;	/* no PASS 1 */
	MovePointer(sec_pointer);

	while (1) {
		c = get1();
		if (c == 0) {
			/* EOL */
			break;
		}
		switch (c) {
		    case 3:
			/* Inclusion */
			AnalyzeInclusion();
			break;

#if 0
		case 4:
			/* Exclusion */
			AnalyzeExclusion();
			break;
#endif

		    default:
			fprintf(outfp, "Dbx( %X )\n", c);
			break;
		}
	}

	CloseOutFile();
}

#if 0
static void AnalyzeExclusion(void)
{
	s_int16	south, north, west, east;
	char north_str[30], south_str[30], east_str[30], west_str[30];

	south = get2();
	north = get2();
	west = get4();
	east = get4();

	latstr(lat_long2lat(north), north_str);
	latstr(lat_long2lat(south), south_str);
	lonstr(lon_dec2lon(east), east_str);
	lonstr(lon_dec2lon(west), west_str);

	fprintf(outfp, "GenIncl( exclude.bgl %x\n", mask);
	fprintf(outfp, "\t%s %s %s %s\n", north_str, south_str, 
		east_str, west_str);
	fprintf(outfp, "\t%s %s %s %s )\n", north_str, south_str, 
		east_str, west_str);
}
#endif

static void AnalyzeInclusion(void)
{
	u_int16 mask;
	u_int32	north, south, east, west;
	char north_str[30], south_str[30], east_str[30], west_str[30];

	mask = get2();
	north = get4();
	south = get4();
	east = get4();
	west = get4();

	latstr(lat_long2lat(north), north_str);
	latstr(lat_long2lat(south), south_str);
	lonstr(lon_dec2lon(east), east_str);
	lonstr(lon_dec2lon(west), west_str);

	fprintf(outfp, "GenIncl( exclude.bgl %x\n", mask);
	fprintf(outfp, "\t%s %s %s %s\n", north_str, south_str, 
		east_str, west_str);
	fprintf(outfp, "\t%s %s %s %s )\n", north_str, south_str, 
		east_str, west_str);
}


