/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sec9ana.h,v 1.6 2000/01/04 06:42:22 tmurakam Exp $
 */
/*
 * sec9ana.h
 */

extern SecRecordTab sec9tab[];

extern void AnalyzeSec9(u_int32);

extern void	anaUnknown(char *, u_int8, int);
extern void	anaSkip(char *, u_int8, int);
extern void	anaNoArg(char *, u_int8, int);
extern void	anaArgWx(char *, u_int8, int);
extern void	anaArgWd(char *, u_int8, int);
extern void	anaArgLx(char *, u_int8, int);

extern void	anaPoints(char *, u_int8, int);
extern void	anaMonitorTr(char *, u_int8, int);
extern void	anaVecPoly(char *, u_int8, int);
extern void	anaIfVarRange2(char *, u_int8, int);
extern void	anaIfVarRange3(char *, u_int8, int);
extern void	anaVecPoints(char *, u_int8, int);
extern void	ana3DPoly(char *, u_int8, int);
extern void	anaTexPoly(char *, u_int8, int);
extern void	anaSenseBorder(char *, u_int8, int);

extern void	anaForever(char *, u_int8, int);
extern void	anaNop(char *, u_int8, int);
extern void	anaSwitch(char *, u_int8, int);
extern void	anaNopBX(char *, u_int8, int);
extern void	anaXTo(char *, u_int8, int);
extern void	anaXTo10(char *, u_int8, int);
extern void	anaJumpCall(char *, u_int8, int);
extern void	anaDefPoint(char *, u_int8, int);
extern void	anaXToPt(char *, u_int8, int);
extern void	anaDefPPoint(char *, u_int8, int);
extern void	anaXToPPt(char *, u_int8, int);
extern void	anaTexRelief(char *, u_int8, int);
extern void	anaBitmap(char *, u_int8, int);

extern void	anaRefPoint(char *, u_int8, int);

extern void	anaDump(char *, u_int8, int);
extern void	anaPalette(char *, u_int8, int);
extern void	anaVectorJump(char *, u_int8, int);
extern void	anaSetVar(char *, u_int8, int);
extern void 	anaBigDot(char *, u_int8, int);
extern void	anaBrightness(char *, u_int8, int);
extern void	anaAutoPoints(char *, u_int8, int);
extern void	anaRotatedCall(char *, u_int8, int);
extern void 	anaSetScaleX(char *, u_int8, int);
extern void	anaDotLine(char *, u_int8, int);
extern void	anaDot(char *, u_int8, int);
extern void	anaIfVarAnd(char *, u_int8, int);
extern void	anaIfVarRange(char *, u_int8, int);
extern void	anaRunwayData(char *, u_int8, int);
extern void	anaBuilding(char *, u_int8, int);
extern void	anaTransformCall(char *, u_int8, int);
extern void	anaLayerCall(char *, u_int8, int);
extern void	anaPerspectiveSurface(char *, u_int8, int);
extern void	anaColor(char *, u_int8, int);
extern void	anaCallAsm(char *, u_int8, int);
extern void	anaLoadColor(char *, u_int8, int);
extern void	anaRoadMoveTo(char *, u_int8, int);
extern void	anaRoadLineTo(char *, u_int8, int);
extern void	anaIfVHRes(char *, u_int8, int);
extern void	anaSenseBorder(char *, u_int8, int);
extern void	anaMonitor3D(char *, u_int8, int);
extern void 	anaRunwayLights(char *, u_int8, int);
extern void	anaTexPolyShading(char *, u_int8, int);
extern void 	anaSurfaceType(char *, u_int8, int);
extern void	anaMoveTexture(char *, u_int8, int);
extern void	anaRepeatBitmap(char *, u_int8, int);
extern void 	anaMonitorPt(char *, u_int8, int);
extern void	anaSetScale(char *, u_int8, int);
extern void	anaCallDll(char *, u_int8, int);

extern void	anaPitchCall(char *, u_int8, int);
extern void	anaCall32(char *, u_int8, int);
extern void	anaShadowPos(char *, u_int8, int);
extern void	anaShadowPos(char *, u_int8, int);
extern void	anaShadowCallVI(char *, u_int8, int);
