/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: util.h,v 1.3 2000/01/04 06:42:39 tmurakam Exp $
 */
/*
 * util.h
 */

extern void OpenBglFile(char *);
extern void CloseBglFile(void);
extern void SetOutDir(char *);
extern void OpenOutFile(char *, int);
extern void AppendOutFile(char *);
extern void CloseOutFile(void);
extern void OpenSclinkControlFile(void);
extern void CloseSclinkControlFile(void);
extern u_int32 GetPointer(void);
extern void MovePointer(u_int32);
extern void ProcPointer(s_int32);
extern u_int8 get1(void);
extern u_int16 get2(void);
extern u_int32 get3(void);
extern u_int32 get4(void);
extern void getlong(char *buf, u_int32 len);
extern void DumpTo(u_int32);
extern void Dump(u_int32);
extern void DumpRemain(void);
extern void RemoveTailSpace(char *str, int len);
extern void NormalString(char *);
extern void AnalyzeLatRangeTable(int secno, u_int32 sec_pointer, void (*func)(u_int32));
extern void WriteHeader(int);

extern int AnalyzePass;

extern FILE *outfp;

#define SET_PASS1	{AnalyzePass = 1;}
#define SET_PASS2	{AnalyzePass = 2;}
#define	IS_PASS1	(AnalyzePass == 1)
#define IS_PASS2	(AnalyzePass == 2)

